[PATCH] fbgrab: A proper Makefile for cross compiling

Respect to the CC, CFLAGS and LDFLAGS is required for cross compiling in
Buildroot. And there's no need to run the source through splint.

Signed-off-by: Daniel Nyström <daniel.nystrom@timeterminal.se>

--- fbgrab-1.0.orig/Makefile	2010-12-07 22:57:24.000000000 +0100
+++ fbgrab-1.0/Makefile	2010-12-07 22:58:36.000000000 +0100
@@ -3,9 +3,10 @@
 ### modular. So this is a simple gnu Makefile...
 ###
 
-fbgrab: fbgrab.c
-	splint +posixlib fbgrab.c
-	gcc -g -Wall fbgrab.c -lpng -lz -o fbgrab
+LDFLAGS += -lpng -lz
+
+fbgrab: fbgrab.o
+	$(CC) $(LDFLAGS) fbgrab.o -o $@
 
 install:
 	strip fbgrab
